
var apiInitialized, lesson_completed, abnormal_exit, lesson_location, opened_windows, activity_status;

apiInitialized = false;
lesson_completed = false;
abnormal_exit = true;
lesson_location = 0;
opened_windows = new Array(100);
aadlc_debug = false;

/****
 Initialize the lesson_locaiton variable from the value stored in the LMS.
****/
function init_lesson_location() {

  var result = doLMSGetValue("cmi.core.lesson_location");
  if (aadlc_debug) alert("Doing a LMSGetValue on cmi.core.lesson_location with value of '" + result + "'");

  if (result != "") {
    lesson_location = result;
  }

}

/****
 Initialize the lesson_completed variable from the value stored in the LMS (as lesson_status).
****/
function init_lesson_completed() {

  var result = doLMSGetValue("cmi.core.lesson_status");
  if (aadlc_debug) alert("Doing a LMSGetValue on cmi.core.lesson_status with value of '" + result + "'");

  if (result == "completed") {
    lesson_completed = true;
  }

  return lesson_completed;

}

function get_lesson_completed() {

  return lesson_completed;

}

function get_abnormal_exit() {

  return abnormal_exit;

}

function set_lesson_completed(bool) {

  if (!lesson_completed) {
    lesson_completed = bool;
  }

}

function set_abnormal_exit(bool) {

  abnormal_exit = bool;

}

function set_lesson_location(integer) {

  lesson_location = integer;
  if (aadlc_debug) alert("Doing a LMSSetValue on cmi.core.lesson_location with value of '" + lesson_location + "'");
  doLMSSetValue("cmi.core.lesson_location", lesson_location);

}

function scourse_api_load() {

  var result = doLMSInitialize();

  if (result == "true") {
    apiInitialized = true;
  }

  if (apiInitialized) {
    init_lesson_location();
    init_lesson_completed();
  }

}

function scourse_api_unload() {

  if (apiInitialized) {
  
    if (lesson_completed) {
      doLMSSetValue("cmi.core.lesson_status", "completed");
      if (aadlc_debug) alert("Doing a LMSSetValue on cmi.core.lesson_status with value of 'completed'");
    } else {
      doLMSSetValue("cmi.core.lesson_status", "incomplete");
      if (aadlc_debug) alert("Doing a LMSSetValue on cmi.core.lesson_status with value of 'incomplete'");
    }

    if (abnormal_exit) {
      doLMSSetValue("cmi.core.exit", "suspend");
      if (aadlc_debug) alert("Doing a LMSSetValue on cmi.core.exit with value of 'suspend'");
    }

    doLMSCommit();

    doLMSFinish();
	
  }

}




